org.apache.fop.fo.properties

## Class CharacterProperty.Maker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.CharacterProperty.Maker

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    CharacterProperty

      public static class CharacterProperty.Maker
      extends PropertyMaker

  Inner class for creating instances of CharacterProperty

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker(int propId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `make(PropertyList propertyList, String value, FObj fo)` Create a Property object from an attribute specification.

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker(int propId)

      Parameters:
        `propId` - the id of the property for which a Maker should be created

  - ### Method Detail

    - #### make

          public Property make(PropertyList propertyList,
                               String value,
                               FObj fo)

      Create a Property object from an attribute specification.
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `propertyList` - The PropertyList object being built for this FO.
        `value` - The attribute value.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        The initialized Property object.

Copyright © 2023 Apache Software Foundation. All rights reserved.